%define upstream_name    Sys-Syslog
%define upstream_version 0.36

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Provides same functionality as BSD syslog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
'Sys::Syslog' is an interface to the UNIX 'syslog(3)' program. Call
'syslog()' with a string priority and a list of 'printf()' args just like
'syslog(3)'.

You can find a kind of FAQ in the "THE RULES OF SYS::SYSLOG" manpage.
Please read it before coding, and again before asking questions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.360.0-6.mga9
+ Revision: 1862937
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.360.0-5.mga9
+ Revision: 1796248
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.360.0-4.mga9
+ Revision: 1727691
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 0.360.0-3.mga8
+ Revision: 1595664
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.360.0-2.mga8
+ Revision: 1536694
- Mageia 8 Mass Rebuild

* Tue Oct 22 2019 tv <tv> 0.360.0-1.mga8
+ Revision: 1455207
- update to 0.36

* Tue Aug 27 2019 tmb <tmb> 0.350.0-6.mga8
+ Revision: 1433914
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.350.0-5.mga7
+ Revision: 1293842
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.350.0-4.mga7
+ Revision: 1250361
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.350.0-3.mga7
+ Revision: 1166680
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.350.0-2.mga7
+ Revision: 1149277
- Rebuild for perl ABI changes

* Tue Aug 01 2017 sander85 <sander85> 0.350.0-1.mga7
+ Revision: 1133335
- update to 0.35

* Sat Jul 22 2017 neoclust <neoclust> 0.340.0-3.mga7
+ Revision: 1127412
- Rebuild against new Perl 5.26

* Wed Apr 26 2017 neoclust <neoclust> 0.340.0-2.mga6
+ Revision: 1097425
- Add P0 - Fixes CVE-2016-1238 (mga#19051)

* Sun May 08 2016 shlomif <shlomif> 0.340.0-1.mga6
+ Revision: 1010783
- update to 0.34

* Fri Feb 12 2016 umeabot <umeabot> 0.330.0-10.mga6
+ Revision: 958028
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.330.0-9.mga6
+ Revision: 845304
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.330.0-8.mga6
+ Revision: 841632
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-7.mga5
+ Revision: 749111
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.330.0-6.mga5
+ Revision: 733453
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-5.mga5
+ Revision: 686295
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.330.0-4.mga5
+ Revision: 631737
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 0.330.0-3.mga5
+ Revision: 588013
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 0.330.0-2.mga4
+ Revision: 526282
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.330.0-1.mga4
+ Revision: 436458
- update to 0.33

* Wed May 29 2013 jquelin <jquelin> 0.320.0-6.mga4
+ Revision: 432306
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.320.0-5.mga4
+ Revision: 432154
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.320.0-4.mga3
+ Revision: 405548
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-3.mga3
+ Revision: 373001
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.320.0-2.mga3
+ Revision: 315580
- perl 5.16.2 rebuild

* Wed Sep 26 2012 jquelin <jquelin> 0.320.0-1.mga3
+ Revision: 297948
- update to 0.32

* Wed May 30 2012 jquelin <jquelin> 0.290.0-3.mga3
+ Revision: 251187
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 0.290.0-2.mga2
+ Revision: 162842
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 112081
- update to 0.29

* Sun Jun 12 2011 sander85 <sander85> 0.280.0-2.mga2
+ Revision: 105005
- Rebuild for perl 5.14

* Mon Apr 18 2011 kharec <kharec> 0.280.0-1.mga1
+ Revision: 87750
- new version

* Sat Jan 22 2011 jquelin <jquelin> 0.270.0-3.mga1
+ Revision: 31221
- mageia rebuild
- imported package perl-Sys-Syslog

